Bug 495277 - Strace crashes when running system-config-network.
Strace crashes when running system-config-network.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
11
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-10 23:31 EDT by Ben Turner
Modified: 2010-01-07 10:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-07 10:25:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Turner 2009-04-10 23:31:00 EDT
Description of problem: When I run strace on system-config-config-network strace crashes with the message:

[root@fedora11 ~]# strace -o strace-echo-output.txt system-config-network
*** glibc detected *** strace: munmap_chunk(): invalid pointer: 0x000000000250aa30 ***

Version-Release number of selected component (if applicable):
strace-4.5.18-2.fc11.x86_64
system-config-network-1.5.95-2.fc11.noarch
glibc-2.9.90-15.x86_64

How reproducible:
Everytime I run strace -o strace-echo-output.txt system-config-network or just strace system-config-network

Steps to Reproduce:
1. run strace -o strace-echo-output.txt system-config-network

  
Actual results:
[root@fedora11 ~]# strace -o strace-echo-output.txt system-config-network
*** glibc detected *** strace: munmap_chunk(): invalid pointer: 0x0000000000a46a30 ***
======= Backtrace: =========
/lib64/libc.so.6[0x7f7dfa1f6c16]
strace[0x408f87]
strace[0x4059d9]
strace[0x403a9c]
strace[0x404743]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x7f7dfa19f77d]
strace[0x401e29]
======= Memory map: ========
00400000-00447000 r-xp 00000000 fd:01 53372                              /usr/bin/strace
00647000-00648000 rw-p 00047000 fd:01 53372                              /usr/bin/strace
00648000-00656000 rw-p 00648000 00:00 0 
00847000-00848000 rw-p 00047000 fd:01 53372                              /usr/bin/strace
00a46000-00a67000 rw-p 00a46000 00:00 0                                  [heap]
7f7df9f67000-7f7df9f81000 r-xp 00000000 fd:01 29060                      /lib64/libgcc_s-4.4.0-20090409.so.1
7f7df9f81000-7f7dfa180000 ---p 0001a000 fd:01 29060                      /lib64/libgcc_s-4.4.0-20090409.so.1
7f7dfa180000-7f7dfa181000 rw-p 00019000 fd:01 29060                      /lib64/libgcc_s-4.4.0-20090409.so.1
7f7dfa181000-7f7dfa2e5000 r-xp 00000000 fd:01 11484                      /lib64/libc-2.9.90.so
7f7dfa2e5000-7f7dfa4e4000 ---p 00164000 fd:01 11484                      /lib64/libc-2.9.90.so
7f7dfa4e4000-7f7dfa4e8000 r--p 00163000 fd:01 11484                      /lib64/libc-2.9.90.so
7f7dfa4e8000-7f7dfa4e9000 rw-p 00167000 fd:01 11484                      /lib64/libc-2.9.90.so
7f7dfa4e9000-7f7dfa4ee000 rw-p 7f7dfa4e9000 00:00 0 
7f7dfa4ee000-7f7dfa50d000 r-xp 00000000 fd:01 435                        /lib64/ld-2.9.90.so
7f7dfa6eb000-7f7dfa6ed000 rw-p 7f7dfa6eb000 00:00 0 
7f7dfa709000-7f7dfa70c000 rw-p 7f7dfa709000 00:00 0 
7f7dfa70c000-7f7dfa70d000 r--p 0001e000 fd:01 435                        /lib64/ld-2.9.90.so
7f7dfa70d000-7f7dfa70e000 rw-p 0001f000 fd:01 435                        /lib64/ld-2.9.90.so
7fff026f8000-7fff0270d000 rw-p 7ffffffea000 00:00 0                      [stack]
7fff027fe000-7fff027ff000 r-xp 7fff027fe000 00:00 0                      [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Aborted


Expected results:
Normal strace behaviour.

Additional info:

Strace ran successfully with system-config-users and firefox.
Comment 1 Roland McGrath 2009-04-23 04:47:22 EDT
Is this already fixed in cvs strace?
Comment 2 Ben Turner 2009-04-23 09:55:22 EDT
I just ran it here and it worked with:

system-config-network-1.5.97-1.fc11.noarch
strace-4.5.18-2.fc11.x86_64
Comment 3 Chuck Ebbert 2009-06-04 00:44:18 EDT
Me too. Is there any workaround for this? Can glibc be told to let the program continue?

# strace -ff -o mount_ntfs.trace -v mount -o ro,context=system_u:object_r:dosfs_t /dev/sda3 /mnt/t
*** glibc detected *** strace: munmap_chunk(): invalid pointer: 0x0000000000cf5480 ***
======= Backtrace: =========
/lib64/libc.so.6[0x389cc75a26]
/lib64/libc.so.6[0x389cc95a97]
/lib64/libc.so.6[0x389cc95c49]
strace[0x40b358]
strace[0x40b63c]
strace[0x40b97e]
strace[0x40b9b4]
strace[0x405333]
strace[0x403a9c]
strace[0x404743]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x389cc1ea2d]
strace[0x401e29]
======= Memory map: ========
00400000-00447000 r-xp 00000000 08:02 20116                              /usr/bin/strace
00647000-00648000 rw-p 00047000 08:02 20116                              /usr/bin/strace
00648000-00656000 rw-p 00648000 00:00 0 
00847000-00848000 rw-p 00047000 08:02 20116                              /usr/bin/strace
00cf4000-00d15000 rw-p 00cf4000 00:00 0                                  [heap]
389c800000-389c81f000 r-xp 00000000 08:02 87500                          /lib64/ld-2.10.1.so
389ca1e000-389ca1f000 r--p 0001e000 08:02 87500                          /lib64/ld-2.10.1.so
389ca1f000-389ca20000 rw-p 0001f000 08:02 87500                          /lib64/ld-2.10.1.so
389cc00000-389cd64000 r-xp 00000000 08:02 113560                         /lib64/libc-2.10.1.so
389cd64000-389cf64000 ---p 00164000 08:02 113560                         /lib64/libc-2.10.1.so
389cf64000-389cf68000 r--p 00164000 08:02 113560                         /lib64/libc-2.10.1.so
389cf68000-389cf69000 rw-p 00168000 08:02 113560                         /lib64/libc-2.10.1.so
389cf69000-389cf6e000 rw-p 389cf69000 00:00 0 
38ab200000-38ab219000 r-xp 00000000 08:02 88991                          /lib64/libgcc_s-4.4.0-20090506.so.1
38ab219000-38ab419000 ---p 00019000 08:02 88991                          /lib64/libgcc_s-4.4.0-20090506.so.1
38ab419000-38ab41a000 rw-p 00019000 08:02 88991                          /lib64/libgcc_s-4.4.0-20090506.so.1
7f8d10505000-7f8d10507000 rw-p 7f8d10505000 00:00 0 
7f8d10514000-7f8d10518000 rw-p 7f8d10514000 00:00 0 
7fff18502000-7fff18517000 rw-p 7ffffffea000 00:00 0                      [stack]
7fff185ff000-7fff18600000 r-xp 7fff185ff000 00:00 0                      [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Comment 4 Bug Zapper 2009-06-09 09:39:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Michal Nowak 2009-08-14 10:58:17 EDT
The original scenario does not head to abort for me, is anyone still experiencing it, or reliably reproduce?
Comment 6 Andreas Schwab 2010-01-07 10:25:23 EST
Fixed in 4.5.19.

Note You need to log in before you can comment on or make changes to this bug.